BearSSL

Data Fields
br_hash_compat_context Union Reference

Aggregate context for configurable hash function support. More...

`#include <bearssl_hash.h>`

## Data Fields
const br_hash_class * | vtable
br_md5_context | md5
br_sha1_context | sha1
br_sha224_context | sha224
br_sha256_context | sha256
br_sha384_context | sha384
br_sha512_context | sha512
br_md5sha1_context | md5sha1

## Detailed Description

Aggregate context for configurable hash function support.

The `br_hash_compat_context` type is a type which is large enough to serve as context for all standard hash functions defined above.

## Field Documentation

## ◆ md5

br_md5_context br_hash_compat_context::md5

## ◆ md5sha1

br_md5sha1_context br_hash_compat_context::md5sha1

## ◆ sha1

br_sha1_context br_hash_compat_context::sha1

## ◆ sha224

br_sha224_context br_hash_compat_context::sha224

## ◆ sha256

br_sha256_context br_hash_compat_context::sha256

## ◆ sha384

br_sha384_context br_hash_compat_context::sha384

## ◆ sha512

br_sha512_context br_hash_compat_context::sha512

## ◆ vtable

const br_hash_class* br_hash_compat_context::vtable

The documentation for this union was generated from the following file:

- bearssl_hash.h